# Class WebClient.HeaderDictionary

java.lang.Object
java.util.Dictionary
java.util.Hashtable
com.meterware.httpunit.WebClient.HeaderDictionary

All Implemented Interfaces:
  `Serializable, Cloneable, Map`

Enclosing class:
  `WebClient`

public static class WebClient.HeaderDictionary extends Hashtable

Author:
  Russell Gold, Jan Ohrstrom, Seth Ladd, Oliver Imbusch
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HeaderDictionary()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntries(Dictionary source)`
`boolean`
`containsKey(Object key)`
`Object`
`get(Object fieldName)`
`Object`
`put(Object fieldName, Object fieldValue)`

### Methods inherited from class Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeaderDictionary

public HeaderDictionary()

## Method Details

### addEntries

public void addEntries(Dictionary source)

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map`
Overrides:
  `containsKey` in class `Hashtable`

### get

public Object get(Object fieldName)

Specified by:
  `get` in interface `Map`
Overrides:
  `get` in class `Hashtable`

### put

public Object put(Object fieldName, Object fieldValue)

Specified by:
  `put` in interface `Map`
Overrides:
  `put` in class `Hashtable`